------------------------------------------------------------------------
r5586 | mhall | 2009-06-08 15:01:22 +1200 (Mon, 08 Jun 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/GenericObjectEditor.java

The JPopup menu used to display the class hierarchy seems to require a call to repaint() to display properly under Java 1.6 on OSX. The display glitch is only evident when editing a component that has more than one property that are themselves editied by GOEs (e.g. FilteredClassifier - when switching from editing the classifier to the filter, the filter's editor was displaying the classifier hierarchy. Only forcing a repaint by removing the properties filter would get it to display correctly).
------------------------------------------------------------------------
r5591 | mhall | 2009-06-09 11:33:42 +1200 (Tue, 09 Jun 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/core/Instances.java

stratify() was checking for numFolds <= 0 rather than <= 1.
------------------------------------------------------------------------
r5596 | mhall | 2009-06-09 14:44:51 +1200 (Tue, 09 Jun 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/experiment/LearningRateResultProducer.java

Disabled stratification when data is nominal. The data was being stratified using m_StepSize (which is clearly wrong). Changing to numInstances / m_StepSize makes sense intuitively, but problems arise with small step sizes - in the extreme case of step size 1 and small lower size, no stratification is done and the data is left sorted by the class label. This can lead to some pretty weird curves - for early parts of the curve (i.e. small training set sizes), it is possible that there is only one class label present, which leads to 100% accuracy.
------------------------------------------------------------------------
r5603 | mhall | 2009-06-12 11:22:04 +1200 (Fri, 12 Jun 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/attributeSelection/LinearForwardSelection.java

Technical information update.
------------------------------------------------------------------------
r5605 | mhall | 2009-06-12 11:24:12 +1200 (Fri, 12 Jun 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/attributeSelection/SubsetSizeForwardSelection.java

Technical information update.
------------------------------------------------------------------------
r5612 | mhall | 2009-06-17 14:17:50 +1200 (Wed, 17 Jun 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/BeanConnection.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/KnowledgeFlowApp.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/MetaBean.java

Some improvements to the labeling of events, actions etc. for MetaBeans.
------------------------------------------------------------------------
r5613 | mhall | 2009-06-17 14:30:25 +1200 (Wed, 17 Jun 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/classifiers/functions/MultilayerPerceptron.java

The counter for early termination on the validation set was getting reset on each drop in error rather than only when the best error encountered was improved upon - fixed.
------------------------------------------------------------------------
r5619 | fracpete | 2009-06-18 10:55:17 +1200 (Thu, 18 Jun 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/core/Statistics.java

all methods are now public
------------------------------------------------------------------------
r5620 | fracpete | 2009-06-18 21:30:43 +1200 (Thu, 18 Jun 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/core/SerializationHelper.java

added methods to handle serialization of multiple objects: readAll and writeAll
------------------------------------------------------------------------
r5664 | fracpete | 2009-06-22 14:04:41 +1200 (Mon, 22 Jun 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/explorer/ClassifierPanel.java

points of ROC curve are now connected (like in KnowledgeFlow)
------------------------------------------------------------------------
r5668 | mhall | 2009-06-23 09:08:11 +1200 (Tue, 23 Jun 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/ClassAssigner.java

Now passes on structure changes to DataFormatListeners when TrainingSetEvents and TestSetEvents are received.
------------------------------------------------------------------------
r5670 | mhall | 2009-06-23 09:20:43 +1200 (Tue, 23 Jun 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/ClassValuePicker.java

Was not clearing warning messages from the status area of the log once they had been resolved.
------------------------------------------------------------------------
r5674 | mhall | 2009-06-23 11:41:20 +1200 (Tue, 23 Jun 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/datagenerators/classifiers/classification/RDG1.java

Was creating instances with weight 0 - fixed.
------------------------------------------------------------------------
r5690 | mhall | 2009-06-30 12:28:10 +1200 (Tue, 30 Jun 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/AttributeVisualizationPanel.java

Now uses sparse representation for class value counts.
------------------------------------------------------------------------
r5699 | mhall | 2009-07-02 14:10:50 +1200 (Thu, 02 Jul 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/associations/Apriori.java

Fixed a bug that resulted in an infinite loop if lowerBoundMinSupport was set to a value that equates to less than one instance.
------------------------------------------------------------------------
r5703 | mhall | 2009-07-02 14:42:17 +1200 (Thu, 02 Jul 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/explorer/AssociationsPanel.java

Now unsets the class attribute so that schemes are not excluded by the capabilities filter on the basis of the class.
------------------------------------------------------------------------
r5709 | fracpete | 2009-07-03 17:39:08 +1200 (Fri, 03 Jul 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/visualize/PlotData2D.java

addInstanceNumberAttribute() now sets the corresponding class attribute after adding the instance number attribute, instead of just using the last one
------------------------------------------------------------------------
r5711 | fracpete | 2009-07-03 17:47:57 +1200 (Fri, 03 Jul 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/explorer/ClustererPanel.java

the label index for the cluster assignments now start at 1 instead of 0 (cluster1, cluster2, ... instead of cluster0, cluster1, ...) to make it consistent with the AddCluster filter
------------------------------------------------------------------------
r5716 | fracpete | 2009-07-05 19:31:57 +1200 (Sun, 05 Jul 2009) | 2 lines
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/filters/unsupervised/attribute/InterquartileRange.java
   M /branches/stable-3-6/weka/src/test/java/weka/filters/unsupervised/attribute/InterquartileRangeTest.java

fixed ArrayIndexOutOfBounds exceptions if range of attributes to work on differed from "first-last"
added JUnit test with a range consisting of only one attribute
------------------------------------------------------------------------
r5723 | mhall | 2009-07-12 10:33:45 +1200 (Sun, 12 Jul 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/AttributeVisualizationPanel.java

Was consuming 100% cpu for String attributes - fixed.
------------------------------------------------------------------------
r5725 | mhall | 2009-07-13 20:23:08 +1200 (Mon, 13 Jul 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/classifiers/bayes/BayesNet.java

Updated the link to the Bayes net documentation (now points to the WekaManul on SourceForge).
------------------------------------------------------------------------
r5728 | mhall | 2009-07-15 13:29:28 +1200 (Wed, 15 Jul 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/attributeSelection/LatentSemanticAnalysis.java

Was keeping a copy of the training data (rather than just the header). Also wasn't keeping the header in the case when the class attribute was not set - this is needed in convertInstance for header compatibility checking.
------------------------------------------------------------------------
r5730 | mhall | 2009-07-17 10:24:04 +1200 (Fri, 17 Jul 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/ClassValuePicker.java

Fixed null pointer exception. Upon loading a flow, log object was getting written to before the KnowledgeFlow had a chance to set the log on all loaded beans.
------------------------------------------------------------------------
r5735 | mhall | 2009-07-17 13:05:13 +1200 (Fri, 17 Jul 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/boundaryvisualizer/BoundaryVisualizer.java

Now has an "About" panel and implements TechnicalInformationHandler. Also fixed plotting bug that occurred when data is first loaded into the visualizer. Now prints an error message if there are not at least two numeric attributes in the data. Made the plot area square and the window re-pack itself when a new data set is loaded (as the width of combo boxes on the right-hand size might change).
------------------------------------------------------------------------
r5739 | mhall | 2009-07-17 14:04:50 +1200 (Fri, 17 Jul 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/Saver.java

Can now save threshold curves from ThresholdDataEvents.
------------------------------------------------------------------------
r5742 | mhall | 2009-07-17 14:28:34 +1200 (Fri, 17 Jul 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/visualize/PlotData2D.java

Added a member variable to allow clients to specify that points of a certain size are to be rendered regardless of whether they are obscured by other points or not.
------------------------------------------------------------------------
r5745 | mhall | 2009-07-17 14:31:02 +1200 (Fri, 17 Jul 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/visualize/Plot2D.java

Now allows points of a certain size to be rendered regardless of whether they are obscured by other points or not.
------------------------------------------------------------------------
r5748 | mhall | 2009-07-17 14:36:12 +1200 (Fri, 17 Jul 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/visualize/VisualizePanel.java

Added some methods to allow clients to programatically set whether the class panel or attribute bars panel are to be displayed. When set to false, this setting overrides a "true" setting in the Visualize.props file.
------------------------------------------------------------------------
r5751 | mhall | 2009-07-17 14:57:25 +1200 (Fri, 17 Jul 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/ThresholdDataEvent.java

Can now store the class attribute from the original data used to generate the threshold curve data. Added a new constructor and an accessor method.
------------------------------------------------------------------------
r5754 | mhall | 2009-07-17 15:00:41 +1200 (Fri, 17 Jul 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/AbstractDataSink.java

Is now a ThresholdDataListener.
------------------------------------------------------------------------
r5757 | mhall | 2009-07-17 15:06:18 +1200 (Fri, 17 Jul 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/ClassifierPerformanceEvaluator.java

Updated for the change to ThresholdDataEvent.
------------------------------------------------------------------------
r5761 | mhall | 2009-07-17 15:13:24 +1200 (Fri, 17 Jul 2009) | 1 line
Changed paths:
   A /branches/stable-3-6/weka/src/main/java/weka/gui/beans/CostBenefitAnalysis.java

Initial import
------------------------------------------------------------------------
r5763 | mhall | 2009-07-17 15:21:47 +1200 (Fri, 17 Jul 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/Beans.props

Added the CostBenefitAnalysis component.
------------------------------------------------------------------------
r5767 | mhall | 2009-07-20 10:51:32 +1200 (Mon, 20 Jul 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/CostBenefitAnalysis.java

Added a method to set plotting data and related class attribute directly. This allows the component to be more easily used by clients other than the KnowledgeFlow.
------------------------------------------------------------------------
r5770 | mhall | 2009-07-20 10:57:40 +1200 (Mon, 20 Jul 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/explorer/ClassifierPanel.java

Now includes the ability to pop up the Cost/Benefit analysis panel from the Classifier panel's result history list.
------------------------------------------------------------------------
r5774 | mhall | 2009-07-21 11:23:50 +1200 (Tue, 21 Jul 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/Classifier.java

Configuration of a classifier after training on a large data set was slow due to the fact that the object used for configuration is the same as the classifier that is actually trained - fixed. Now uses a classifier template for configuration which is separate from the actual classifier that gets trained.
------------------------------------------------------------------------
r5775 | mhall | 2009-07-21 11:24:03 +1200 (Tue, 21 Jul 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/ClassifierCustomizer.java

Updated to use the get/set classifier template methods.
------------------------------------------------------------------------
r5779 | mhall | 2009-07-21 11:42:11 +1200 (Tue, 21 Jul 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/ClassifierPerformanceEvaluator.java

Was not setting the priors in the evaluation object for each set - fixed.
------------------------------------------------------------------------
r5782 | mhall | 2009-07-22 15:54:01 +1200 (Wed, 22 Jul 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/BatchClassifierEvent.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/Classifier.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/ClassifierPerformanceEvaluator.java

Now makes more efficient use of memory. When training classifiers in parallel, each is dispatched to be evaluated once complete, rather than storing an entire run before dispatching.
------------------------------------------------------------------------
r5787 | mhall | 2009-07-23 10:57:07 +1200 (Thu, 23 Jul 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/classifiers/evaluation/ThresholdCurve.java

Added sample size and lift as new attributes.
------------------------------------------------------------------------
r5790 | mhall | 2009-07-23 14:42:48 +1200 (Thu, 23 Jul 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/classifiers/meta/CVParameterSelection.java

Fixed a typo in the CVParametersTipText() method.
------------------------------------------------------------------------
r5804 | mhall | 2009-07-29 10:49:18 +1200 (Wed, 29 Jul 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/classifiers/meta/GridSearch.java

Enabled missing class values capability.
------------------------------------------------------------------------
r5808 | mhall | 2009-07-29 13:59:00 +1200 (Wed, 29 Jul 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/classifiers/functions/supportVector/PolyKernel.java

toString() for linear kernel with lower order terms was outputting <x,y> instead of <x,y> + 1.
------------------------------------------------------------------------
r5811 | mhall | 2009-07-30 13:39:26 +1200 (Thu, 30 Jul 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/CostBenefitAnalysis.java

Now makes a copy of the plotting data to avoid interfering with any other users of the data. Now implements BeanCommon and prevents enforces only one incoming connection.
------------------------------------------------------------------------
r5819 | mhall | 2009-07-30 14:09:09 +1200 (Thu, 30 Jul 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/GUIChooser.java

Fixed the appearance of the BoundaryVisualizer when launched from the GUIChooser.
------------------------------------------------------------------------
r5821 | mhall | 2009-07-30 15:02:35 +1200 (Thu, 30 Jul 2009) | 1 line
Changed paths:
   A /branches/stable-3-6/weka/src/main/java/weka/gui/beans/CostBenefitAnalysisBeanInfo.java

Initial import.
------------------------------------------------------------------------
r5823 | mhall | 2009-07-30 16:37:56 +1200 (Thu, 30 Jul 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/Classifier.java

Incremental learning was broken due to m_Classifier rather than m_ClassifierTemplate being tested for UpdateableClassifier - fixed.
------------------------------------------------------------------------
r5836 | fracpete | 2009-08-03 21:06:08 +1200 (Mon, 03 Aug 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/core/converters/TextDirectoryLoader.java
   M /branches/stable-3-6/weka/src/main/java/weka/core/stemmers/SnowballStemmer.java
   M /branches/stable-3-6/weka/src/main/java/weka/experiment/DatabaseUtils.props
   M /branches/stable-3-6/weka/src/main/java/weka/experiment/DatabaseUtils.props.hsql
   M /branches/stable-3-6/weka/src/main/java/weka/experiment/DatabaseUtils.props.msaccess
   M /branches/stable-3-6/weka/src/main/java/weka/experiment/DatabaseUtils.props.mssqlserver
   M /branches/stable-3-6/weka/src/main/java/weka/experiment/DatabaseUtils.props.mssqlserver2005
   M /branches/stable-3-6/weka/src/main/java/weka/experiment/DatabaseUtils.props.mysql
   M /branches/stable-3-6/weka/src/main/java/weka/experiment/DatabaseUtils.props.odbc
   M /branches/stable-3-6/weka/src/main/java/weka/experiment/DatabaseUtils.props.oracle
   M /branches/stable-3-6/weka/src/main/java/weka/experiment/DatabaseUtils.props.postgresql
   M /branches/stable-3-6/weka/src/main/java/weka/experiment/DatabaseUtils.props.sqlite3
   M /branches/stable-3-6/weka/src/main/java/weka/gui/GUIChooser.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/GenericPropertiesCreator.props
   M /branches/stable-3-6/weka/src/main/java/weka/gui/Main.java

updated wiki URLs
------------------------------------------------------------------------
r5842 | mhall | 2009-08-04 14:03:28 +1200 (Tue, 04 Aug 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/GenericObjectEditor.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/PropertyPanel.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/experiment/SetupPanel.java

"Choose" buttons in the advanced mode of the Experimenter were not disabled when first switching to advanced mode (and before loading an experiment or hitting the "new" button). Fixed.
------------------------------------------------------------------------
r5864 | fracpete | 2009-08-13 09:46:11 +1200 (Thu, 13 Aug 2009) | 2 lines
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/filters/unsupervised/attribute/MergeTwoValues.java

MergeTwoValues no longer allows processing the class attribute, since this can lead to ArrayIndexOutOfBounds exceptions when used in conjunction with the FilteredClassifier:
https://list.scms.waikato.ac.nz/mailman/htdig/wekalist/2009-August/018746.html
------------------------------------------------------------------------
r5905 | mhall | 2009-08-28 10:01:07 +1200 (Fri, 28 Aug 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/classifiers/MultipleClassifiersCombiner.java

setOptions was not calling super.setOptions - fixed.
------------------------------------------------------------------------
r5913 | fracpete | 2009-08-30 15:16:02 +1200 (Sun, 30 Aug 2009) | 3 lines
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/classifiers/Evaluation.java

predictionText method:
- now unsets the class attribute before letting the classifier classify it
- no longer outputs error flag if class value was missing in test set
------------------------------------------------------------------------
r5917 | mhall | 2009-08-31 08:46:00 +1200 (Mon, 31 Aug 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/classifiers/functions/LibLINEAR.java

Now sets a bias field value in getProblem().
------------------------------------------------------------------------
r5919 | fracpete | 2009-08-31 09:26:18 +1200 (Mon, 31 Aug 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/visualize/BMPWriter.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/visualize/JPEGWriter.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/visualize/PNGWriter.java

uses now printAll(Graphics) instead of paint(Graphics) to ensure that everything is drawn properly when generating the image
------------------------------------------------------------------------
r5957 | mhall | 2009-09-14 14:51:12 +1200 (Mon, 14 Sep 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/explorer/ClassifierPanel.java

Null ptr exception when popping up Cost/Benefit panel if model was not being output - fixed.
------------------------------------------------------------------------
r5970 | mhall | 2009-09-24 10:58:47 +1200 (Thu, 24 Sep 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/core/Instance.java
   M /branches/stable-3-6/weka/src/main/java/weka/core/Instances.java
   M /branches/stable-3-6/weka/src/main/java/weka/core/SparseInstance.java

Removed some unused methods that could potentially be abused.
------------------------------------------------------------------------
r5975 | mhall | 2009-09-25 07:53:58 +1200 (Fri, 25 Sep 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/core/Attribute.java

Fixed a bug where a value was being directly compared to Instance.missingValue() (rather than using Instance.isMissingValue()).
------------------------------------------------------------------------
r5977 | mhall | 2009-09-25 09:18:14 +1200 (Fri, 25 Sep 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/core/AttributeExpression.java

Fixed a bug where a value was being directly compared to Instance.missingValue() (rather than using Instance.isMissingValue()).
------------------------------------------------------------------------
r5981 | mhall | 2009-09-25 09:22:58 +1200 (Fri, 25 Sep 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/classifiers/rules/DecisionTable.java

Fixed a bug where a value was being directly compared to Instance.missingValue() (rather than using Instance.isMissingValue()).
------------------------------------------------------------------------
r5984 | mhall | 2009-09-25 09:35:54 +1200 (Fri, 25 Sep 2009) | 2 lines
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/boundaryvisualizer/BoundaryPanel.java

Fixed a bug where a value was being directly compared to Instance.missingValue() (rather than using Instance.isMis
singValue()).
------------------------------------------------------------------------
r5989 | mhall | 2009-09-25 11:11:07 +1200 (Fri, 25 Sep 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/core/AttributeExpression.java

Removed an unnecessary test for missing value in evaluateExpression().
------------------------------------------------------------------------
r5998 | mhall | 2009-09-29 08:59:27 +1300 (Tue, 29 Sep 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/AttributeVisualizationPanel.java

Fixed a bug which caused a glitching effect when computing histograms for numeric attributes when the class is also numeric.
------------------------------------------------------------------------
r6002 | mhall | 2009-09-29 20:09:52 +1300 (Tue, 29 Sep 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/core/converters/CSVLoader.java

A member variable pointing to a StreamTokenizer was non transient, causing the saving of binary knowledge flows to fail.
------------------------------------------------------------------------
r6004 | mhall | 2009-09-29 20:22:04 +1300 (Tue, 29 Sep 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/CrossValidationFoldMaker.java

Fold thread was not transient and the finally clause of the try/catch block in the run() method of the thread was not setting the thread reference to null. This can cause serialization to fail if saving after interrupting the flow.
------------------------------------------------------------------------
r6010 | mhall | 2009-10-02 12:11:08 +1300 (Fri, 02 Oct 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/MetaBean.java

Fixed a bug where enumerateRequests wasn't passing through user requests from the encapsulated beans that require a yes/no response from the user.
------------------------------------------------------------------------
r6017 | mhall | 2009-10-02 21:05:20 +1300 (Fri, 02 Oct 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/FlowRunner.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/KnowledgeFlowApp.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/Loader.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/MetaBean.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/Startable.java

Merged trunk changes -r6013:6015 involving fixes to serialization problems in MetaBeans when saving to the user tab. Also added in the differences between the trunk and stable-3-6 with regards to the Startable interface.
------------------------------------------------------------------------
r6019 | mhall | 2009-10-05 09:05:13 +1300 (Mon, 05 Oct 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/classifiers/pmml/consumer/Regression.java

RegressionTable was ignoring the intercept when there are multiple regression tables (classification) - fixed.
------------------------------------------------------------------------
r6023 | mhall | 2009-10-12 11:43:50 +1300 (Mon, 12 Oct 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/clusterers/ClusterEvaluation.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/explorer/ClustererPanel.java

Wasn't handling unclustered instances correctly in classes to clusters evaluation
------------------------------------------------------------------------
r6025 | mhall | 2009-10-13 16:49:22 +1300 (Tue, 13 Oct 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/classifiers/functions/SMO.java

Technical information fix.
------------------------------------------------------------------------
r6036 | mhall | 2009-10-22 11:39:13 +1300 (Thu, 22 Oct 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/classifiers/trees/LADTree.java

Javadoc header started with "/*" rather than "/**" - fixed.
------------------------------------------------------------------------
r6071 | mhall | 2009-11-10 10:15:31 +1300 (Tue, 10 Nov 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/associations/HotSpot.java

Was disabled in the Explorer due to a missing capability.
------------------------------------------------------------------------
r6078 | mhall | 2009-11-12 09:50:46 +1300 (Thu, 12 Nov 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/ClassifierCustomizer.java

Execution slots text box now has a focus listener so that you don't have to press return in the text box to pick up the new value.
------------------------------------------------------------------------
r6080 | fracpete | 2009-11-13 11:56:21 +1300 (Fri, 13 Nov 2009) | 1 line
Changed paths:
   M /branches/book2ndEd-branch/weka/src/main/java/weka/gui/PropertySheetPanel.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/PropertySheetPanel.java
   M /trunk/weka/src/main/java/weka/gui/PropertySheetPanel.java


------------------------------------------------------------------------
r6082 | mhall | 2009-11-13 12:11:50 +1300 (Fri, 13 Nov 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/associations/HotSpot.java

Fixed capabilities problem.
------------------------------------------------------------------------
r6084 | mhall | 2009-11-13 12:20:31 +1300 (Fri, 13 Nov 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/attributeSelection/LinearForwardSelection.java

Technical information update.
------------------------------------------------------------------------
r6094 | mhall | 2009-11-18 14:27:33 +1300 (Wed, 18 Nov 2009) | 2 lines
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/classifiers/meta/LogitBoost.java

Fixed bug: shrinkage was only applied at training time, not at prediction time. Now, changing the value of the shrinkage p
arameter actually works properly.
------------------------------------------------------------------------
r6110 | fracpete | 2009-12-01 15:22:40 +1300 (Tue, 01 Dec 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/core/AllJavadoc.java

list of Javadoc-generating classes determined statically contains only unique classnames now
------------------------------------------------------------------------
r6113 | fracpete | 2009-12-02 09:26:38 +1300 (Wed, 02 Dec 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/filters/unsupervised/instance/SubsetByExpression.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/instance/SubsetByExpression.java

no longer removes rows after the first batch has been processed (exceptions when used in FilteredClassifier)
------------------------------------------------------------------------
r6121 | mhall | 2009-12-03 11:12:50 +1300 (Thu, 03 Dec 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/classifiers/meta/ensembleSelection/large_binary_class.model.xml
   M /branches/stable-3-6/weka/src/main/java/weka/classifiers/meta/ensembleSelection/large_multi_class.model.xml

Updated the references in the model to the linear NN search algorithm
------------------------------------------------------------------------
r6124 | fracpete | 2009-12-04 12:10:00 +1300 (Fri, 04 Dec 2009) | 2 lines
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/GenericArrayEditor.java

fixed long-standing bug in GenericArrayEditor: after initially displaying an array, editing the currently displayed object in the edit panel also modified the first element in the JList with all the elements, as these two references were pointing to the same object
the initial object in the edit panel is now a deep copy of the first element of the array
------------------------------------------------------------------------
r6130 | mhall | 2009-12-09 11:21:43 +1300 (Wed, 09 Dec 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/filters/unsupervised/attribute/Remove.java

Minor fix to the globalInfo and javadocs.
------------------------------------------------------------------------
r6133 | mhall | 2009-12-09 11:29:33 +1300 (Wed, 09 Dec 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/attributeSelection/CfsSubsetEval.java

Fixed spelling mistake in an option name.
------------------------------------------------------------------------
r6138 | mhall | 2009-12-10 09:42:15 +1300 (Thu, 10 Dec 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/CostBenefitAnalysis.java

For the fp and fn fields of the cost matrix a default value of 1 rather than 0 was being set when the contents of the field in question was not parseable as a number.
------------------------------------------------------------------------
r6141 | mhall | 2009-12-12 04:13:35 +1300 (Sat, 12 Dec 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/KnowledgeFlowApp.java

Now creates the plugins directory (if not already existing) on exit.
------------------------------------------------------------------------
r6156 | mhall | 2009-12-22 09:22:51 +1300 (Tue, 22 Dec 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/core/converters/ConverterUtils.java

DataSource.reset() was resetting the loader in the case where the source is neither a file or URL (i.e an input stream). A loader can't really be reset for re-reading in this case and doing so causes the source to be set to the default file location (user.dir) in the case of file based loaders. This was causing a failure in the case of DataSources constructed directly with input streams since DataSource.reset() gets called in DataSource.getDataSet() before the data is actually read.
------------------------------------------------------------------------
r6161 | fracpete | 2009-12-24 07:42:11 +1300 (Thu, 24 Dec 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/attributeSelection/LinearForwardSelection.java

fixed getOptions() method for option -Z: listOptions/setOptions defined it as flag, but getOptions returned it as option with (boolean) argument
------------------------------------------------------------------------
r6175 | mhall | 2010-01-04 22:14:37 +1300 (Mon, 04 Jan 2010) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/filters/unsupervised/attribute/Obfuscate.java

Now obfuscates the names of String attributes.
------------------------------------------------------------------------
r6198 | mhall | 2010-01-10 21:22:00 +1300 (Sun, 10 Jan 2010) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/Classifier.java

Fixed a bug that prevented clean-up of memory and resetting to idle state after processing a run when there was no batchClassifierListener connected.
------------------------------------------------------------------------
r6206 | mhall | 2010-01-11 20:29:16 +1300 (Mon, 11 Jan 2010) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/core/Copyright.props

Updated to 2010
------------------------------------------------------------------------
